For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
    • Error Handling
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Get all minds

GET
https://app.mindreasoner.com/api/public/v1/minds
GET
/api/public/v1/minds
$curl https://app.mindreasoner.com/api/public/v1/minds \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "minds": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "name": "John Doe",
6 "slug": "john-doe",
7 "email": "john@example.com",
8 "imageUrl": "https://example.com/avatar.jpg",
9 "socialMedia": {},
10 "scope": "private",
11 "isSelf": false,
12 "tokenCount": 1500,
13 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
14 "createdAt": "2025-01-01T00:00:00.000Z",
15 "updatedAt": "2025-01-01T00:00:00.000Z",
16 "digitalTwins": [
17 {
18 "id": "123e4567-e89b-12d3-a456-426614174002",
19 "name": "Default Twin",
20 "mindId": "123e4567-e89b-12d3-a456-426614174000",
21 "isDefault": true,
22 "createdAt": "2025-01-01T00:00:00.000Z",
23 "updatedAt": "2025-01-01T00:00:00.000Z",
24 "mindAssessments": [
25 {
26 "id": "123e4567-e89b-12d3-a456-426614174003",
27 "mindId": "123e4567-e89b-12d3-a456-426614174000",
28 "artifactId": "123e4567-e89b-12d3-a456-426614174004",
29 "mindsetDate": "2025-01-01T00:00:00.000Z",
30 "status": "completed",
31 "startedAt": "2025-01-01T00:00:00.000Z",
32 "completedAt": "2025-01-01T00:00:00.000Z",
33 "createdAt": "2025-01-01T00:00:00.000Z",
34 "updatedAt": "2025-01-01T00:00:00.000Z",
35 "tokenCount": 1500,
36 "byteSize": 10000,
37 "psychometricCount": 10,
38 "keyTopicCount": 5,
39 "findingCount": 8
40 }
41 ],
42 "coreLastUpdatedAt": "2025-01-01T00:00:00.000Z"
43 }
44 ],
45 "mindCategories": [
46 {
47 "id": "123e4567-e89b-12d3-a456-426614174005",
48 "name": "internal team",
49 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
50 "createdAt": "2025-01-01T00:00:00.000Z",
51 "updatedAt": "2025-01-01T00:00:00.000Z"
52 }
53 ]
54 }
55 ]
56}
Returns a list of all minds
Was this page helpful?
Previous

Create a new mind

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Response

Successful response
mindslist of objects